NX Open C++ Reference Guide
|
Represents a Mechatronics::TransportSurfaceBuilder . More...
Public Member Functions | |
NXOpen::SelectFaceList * | Faces () |
Returns the faces. | |
NXOpen::Mechatronics::CollisionMaterial * | Material () |
Returns the material. | |
NXString | Name () |
Returns the name. | |
NXOpen::Expression * | ParallelVelocity () |
Returns the parallel velocity. | |
NXOpen::Expression * | PerpendicularVelocity () |
Returns the perpendicular velocity. | |
void | SetFaces (const std::vector< NXOpen::NXObject * > &faces) |
Sets the faces. | |
void | SetMaterial (NXOpen::Mechatronics::CollisionMaterial *material) |
Sets the material. | |
void | SetName (const NXString &name) |
Sets the name. | |
void | SetName (const char *name) |
Sets the name. | |
void | SetVelocityVector (NXOpen::Direction *velocityVector) |
Sets the specify vector. | |
NXOpen::Direction * | VelocityVector () |
Returns the specify vector. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Mechatronics::TransportSurfaceBuilder .
<br> To create a new instance of this class, use @link Mechatronics::TransportSurfaceCollection::CreateTransportSurfaceBuilder Mechatronics::TransportSurfaceCollection::CreateTransportSurfaceBuilder @endlink <br>
Created in NX7.5.1.
NXOpen::SelectFaceList* NXOpen::Mechatronics::TransportSurfaceBuilder::Faces | ( | ) |
Returns the faces.
This can be a Face .
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Mechatronics::CollisionMaterial* NXOpen::Mechatronics::TransportSurfaceBuilder::Material | ( | ) |
Returns the material.
This can be a CollisionMaterial .
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXString NXOpen::Mechatronics::TransportSurfaceBuilder::Name | ( | ) |
Returns the name.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Expression* NXOpen::Mechatronics::TransportSurfaceBuilder::ParallelVelocity | ( | ) |
Returns the parallel velocity.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Expression* NXOpen::Mechatronics::TransportSurfaceBuilder::PerpendicularVelocity | ( | ) |
Returns the perpendicular velocity.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
void NXOpen::Mechatronics::TransportSurfaceBuilder::SetFaces | ( | const std::vector< NXOpen::NXObject * > & | faces | ) |
Sets the faces.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
faces | faces |
void NXOpen::Mechatronics::TransportSurfaceBuilder::SetMaterial | ( | NXOpen::Mechatronics::CollisionMaterial * | material | ) |
Sets the material.
This can be a CollisionMaterial .
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
material | material |
void NXOpen::Mechatronics::TransportSurfaceBuilder::SetName | ( | const NXString & | name | ) |
Sets the name.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
name | name |
void NXOpen::Mechatronics::TransportSurfaceBuilder::SetName | ( | const char * | name | ) |
Sets the name.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
name | name |
void NXOpen::Mechatronics::TransportSurfaceBuilder::SetVelocityVector | ( | NXOpen::Direction * | velocityVector | ) |
Sets the specify vector.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
velocityVector | velocityvector |
NXOpen::Direction* NXOpen::Mechatronics::TransportSurfaceBuilder::VelocityVector | ( | ) |
Returns the specify vector.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")